---
layout: markdown_page
title: Jobs
description: Browse job openings at GitLab and apply to join a very productive, ambitious team, where independence and flexibility are both valued and required.
---

## About GitLab

GitLab is quickly becoming the standard for source code version
management for any company, large or small. At GitLab, we help large
enterprises move to Git and build better software.

## Why work for GitLab?

GitLab is growing fast.
Working for GitLab means joining a very productive, ambitious team, where independence
and flexibility are both valued and required.
Your work will directly have a large impact on the present and future of GitLab.
We like to spend our time on things that matter.
We are a [remote only company](/2015/04/08/the-remote-manifesto/).
For more background please see our [about page](/about/),
our [culture page](/culture/), our [handbook](/handbook/), and our [hiring guidelines](/handbook/hiring/).

## Vacancies

If you see yourself as a good fit with our company’s goals and team, then please
review the current job openings on this page, and submit your resume and cover
letter to be considered!

<iframe width="560" height="315" src="https://www.youtube.com/embed/GJP-3BNyCXw" frameborder="0" allowfullscreen></iframe>

## We don't accept solicitations by recruiters<a name="no-recruiters"></a>

We do not accept solicitations by recruiters, recruiting agencies, headhunters and outsourcing organizations.
If you email us we'll reply with [a link to this paragraph](/jobs/#no-recruiters) to indicate we would very much appreciate it if you stop emailing us and remove us from any marketing list.

## Country Hiring Guidelines

Each country has unique rules and regulations affecting a company’s ability to conduct business in that country, as well as the employability of its citizens. These rules can be complex. Therefore, at this time we are unable to hire employees and contractors in the following locations:

1. Brazil
1. Crimea
1. Cuba
1. France
1. Iran
1. North Korea
1. Spain
1. Sudan
1. Sweden
1. Syria

We are committed to hiring globally and GitLab has established entities, payroll solutions or partnered with third parties in the following countries:

1. United States
1. The Netherlands
1. United Kingdom
1. Belgium
1. China
1. India
1. Germany

This list of countries will become longer as GitLab continues to grow. If you have any questions about this please reach out to our [People Operations](https://about.gitlab.com/team/) team.

## Available Openings

<!-- Load lever jobs dynamically, generated by lever -->
<div id='lever-jobs-container'></div>
<script type='text/javascript'>
  window.leverJobsOptions = {accountName: 'gitlab', includeCss: true};
</script>
<script type='text/javascript' src='https://andreasmb.github.io/lever-jobs-embed/index.js'></script>

## All job descriptions

A list of all our [job descriptions including ones that don't have a vacancy](https://gitlab.com/gitlab-com/www-gitlab-com/tree/master/source/jobs) is available.

## Questions?

For further questions about our [hiring process](/handbook/hiring) or posted jobs, please feel free to send an email to jobs@gitlab.com.
